com.google.protobuf

## Class GeneratedMessageLite.SerializedForm

- java.lang.Object
- - com.google.protobuf.GeneratedMessageLite.SerializedForm

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>

      protected static final class GeneratedMessageLite.SerializedForm
      extends java.lang.Object
      implements java.io.Serializable

  A serialized (serializable) form of the generated message. Stores the message as a class name and a byte array.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeneratedMessageLite.SerializedForm` | `of(MessageLite message)`
    `protected java.lang.Object` | `readResolve()` When read from an ObjectInputStream, this method converts this object back to the regular form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static GeneratedMessageLite.SerializedForm of(MessageLite message)

    - #### readResolve

          protected java.lang.Object readResolve()
                                          throws java.io.ObjectStreamException

      When read from an ObjectInputStream, this method converts this object back to the regular form. Part of Java's serialization magic.
      Returns:
        a GeneratedMessage of the type that was serialized
      Throws:
        `java.io.ObjectStreamException`